from visual import *


def fac(N):
    power=1
    for x in xrange(1,int(N)):
        power=power*(int(N)-x+1)
    return power

def choose(a,b):
    return int(fac(a)/(fac(b)*fac(a-b)))

F=0
G=1

M=1000
sump = 1
for l in xrange(1,M+1):
    sumo = sump
    sump = 1
    for n in xrange(0,l):
        a = choose(l,n)
        b = choose(l,l-n)
        sump += (a*b)
        
    print("Ratio of new sets to old:",float(sump)/float(sumo))
    
##    Fi = F
##    F = 2*F+1+n*(n+1)/2
##    print("There are:",F,"sets of size:",n)
##    print("The ratio of previous to present is:")

    
##    G = G*int(choose(N,n))
##    print("There are:",G,"set chains at size:",n)
##    print("Their ratio is:",F/G,"sets at size:",n)
